## dmachinemon 0.11

=== Documentation/Makefile ===
#    dmachinemon documentation makefile
#    Copyright (C) 2001 Junichi Uekawa
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# This portion of code is separated from the other directory, and 
# needs to be made separately. The reason is that I don't want to 
# need sgmltools on all of the cluster systems to compile 
# dmachinemon on these systems.
# -- 25 Dec 2001, Junichi Uekawa <dancer@debian.org> <dancer@netfort.gr.jp>

PROJECT=dmachinemon-doc.html dmachinemon-doc.ps

all: ${PROJECT}

clean:
	rm -f ${PROJECT} *~ *.bak

%.html: %.sgml
	sgmltools -b onehtml $<

%.txt: %.sgml
	sgmltools -b txt $<

%.ps: %.sgml
	sgmltools -b ps $<

=== debian/changelog ===
dmachinemon (0.11) unstable; urgency=low

  * One modification in hostname parser. Should not break, but probably
    required for solaris port (which is not quite complete).
  * GTK+ is optional, add --with-gtk=yes to configure to force usage in 
    Debian package.
  * Apply package description fix (closes: #140601).

 -- Junichi Uekawa <dancer@debian.org>  Mon,  1 Apr 2002 02:17:12 +0900

dmachinemon (0.10) unstable; urgency=low

  * Initial upload to Debian archive.
  * tools/dmscripts/dmclean: added "exec < /dev/null", and other misc minor things, to make it work better, and feel better.
  * README, INSTALL: updated them to note of how to compile from cvs checkout.
  * dmachinemon-master.1: Fixed partial doc.
  * removed the bogus GTK dependency from htmloutput and pdga. dmachinemon will
    no longer depend on GTK+ (hopefully!)
  * fixed typo in dmrun script, and dmboot script.
  * tools/dmscripts/dmrun: added command-line option parser, parsing "--np".
  * added depends on debianutils for "/usr/bin/tempfile"
  * fixed libp2p so that it does actually take into account the command-line
    parameter passed on to it.
  * soname is bumped up to 3:0:0, with some fluctuations. libp2p acts
    incompatibly.
  * dmscripts have "--rc" command-line option to specify extra/additional config file.
  * minor bugfixes to dmscripts option handling.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Feb 2002 22:25:24 +0900

dmachinemon (0.9) unstable; urgency=low

  * new version. "See my Christmas chants" release.
    Fixing many glitches, and minor distribution stuff.
  * Adding execute_* scripts to distribution, removing the hack in
    debian/rules to install them.
  * configure.in.debianin, Makefile.am, example/Makefile.am: Adding
    example/ to automake control.
  * */Makefile.am: adding manpages to automake control (EXTRA_DIST)
  * removed junk from configure.in.debianin.
  * dmachinemon/force-compile: the static binary build script is updated.
  * Added --static-link option to the list of command line options
    available, so that static linkage can be defined from command-line to
    handle network structures where  freely relinking is not possible.
  * Implemented "--static-link u" option with
    dmachinemon-servent, and "--static-link d" option with
    dmachinemon-servent/dmachinemon-master
  * dmachinemon/dmachinemon-libp2papplication.c: cosmetic debug message
    removal.
  * Binary compatibility was broken with the static-link option, thus
    soname is bumped up to "2:0:0".
  * debian/control: Removed reference to dmachinemon-html which never existed.
  * Makefile.am: autogen.sh is added to EXTRA_DIST
  * tools/dmscripts/example-dmrc: added as an example. 
  * Documentation/dmachinemon-doc.sgml: updated the documentation slightly.
  * Documentation/Makefile: updated, writing comments on why it is
    separate from the main build tree.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Dec 2001 23:21:11 +0900

dmachinemon (0.8) unstable; urgency=low

  * new version, after the initial release to public.
  * fix makefiles regarding shared library building.
    reading the manual for libtool, I should specify "*.la" files,
    instead of trying to link in .so files directly.
  * dmachinemon-master and dmachinemon-servent are now
    built with shared-library, reducing the file size from
    70 and 80k to 27 and 48k (is it significant?)
  * adding dmboot, dmclean, and dmrun commands, to use dsh
    and other things effectively.
  * bumping requirement for dsh to 0.0.17, because the scripts
    dmboot, dmclean, and dmrun require them.
  * shlibs.local file is autogenerated from shlibs.local.debianin
  * killall is included in psmisc, dmclean requires it, so a new
    dependency is added.
  * Added documentation for dmclean, dmrun, and dmboot scripts.
  * Now the hooks to install manpages are working (again).
    Debian packages should see them (unless it is a backport package to potato).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 20 Dec 2001 20:57:11 +0900

dmachinemon (0.7) unstable; urgency=low

  * "Preparing for the release"
  * Improving manpages
  * Fixing execute_dmachinemon script and manpage.
  * Fixing notes on dmachinemon-libp2papplication.c, so that it gives more 
    verbose notes and more clue.
  * Fixing notes on dmachinemon-servent.1 so that the options
    "--layers" and "--maxreconnect" are documented.
  * dmachinemon-htmloutput is modified to use the uniform commandline
    parser.
  * execute_dmachinemonhtml is fixed to support dmachinemon-htmloutput
    with the new command-line scheme. Fixing manpages to that accord.
  * Documentation/dmachinemon.sgml: updating documentation slightly,
    but this documentation is too outdated, it needs some
    basic reorganization, I think.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 11 Dec 2001 20:48:33 +0900

dmachinemon (0.6) unstable; urgency=low

  * Create a new version because changelog for 0.5 has gotten
    too long, and I don't use scripts which are version dependent any more,
    I can change my versions fine...
  * Weird special casing for potato in debian/rules related to auto*
    was removed.
  * Changed treeview* to use the common command-line option processor
  * Include doc++-generated documentation in libdmachinemon0-dev
  * Add build-depends on doc++
  * update documentation using doc++ style comments.
    They are written with /** documentation */ style.
  * debian/rules autogenerates debian/control and
    libdmachinemon#SONAME#.postinst, by parsing dmachinemon/Makefile.am
    so that it is easier to change sonames.
  * dmachinemon-node is obsolete.
  * Bumped soname for libdmachinemon to 1, because interface has changed
    for dm_randomly_change_route_to and dm_nodeinfo_write_out,
    and libnodeinfo is removed from libdmachinemon, because it seems to be 
    not required at all.
  * dieonload flag added. When the load average value is exceeded,
    the node will die.


=== debian/control ===
Source: dmachinemon
Section: admin
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>> 2.0.0), libgtk1.2-dev, automake, autoconf, libtool, doc++
Build-Conflicts: libdmachinemon-dev
Standards-Version: 3.5.6

Package: dmachinemon
Architecture: any
Depends: ${shlibs:Depends}
Recommends: dsh (>> 0.0.17), dmachinemon-servent, dmachinemon-master
Suggests: dmachinemon-gtkiface
Description: Network-wide monitoring suite for monitoring machine status
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 Includes convenience scripts, and other tools.
 .
 dmachinemon-html needs to be available on html-generating system

Package: dmachinemon-gtkiface
Architecture: any
Depends: ${shlibs:Depends}
Suggests: dmachinemon
Description: Network-wide monitoring suite for monitoring machine status
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 this package contains dmachinemon-gtkiface
 a GTK+ interface to dmachinemon

Package: libdmachinemon3
Architecture: any
Depends: ${shlibs:Depends}
Description: P2P local networking library -- runtime libs
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 this package contains libdmachinemon
 runtime library for using dmachinemon.

Package: libdmachinemon3-dev
Architecture: any
Depends: libdmachinemon3 (= ${Source-Version})
Provides: libdmachinemon-dev
Conflicts: libdmachinemon-dev
Description: P2P local networking library -- development files.
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 this package contains libdmachinemon development files.

Package: dmachinemon-master
Architecture: any
Depends: ${shlibs:Depends}
Suggests: dmachinemon
Description: Network-wide machine monitoring suite -- master
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 This package includes dmachinemon-master, which needs to be 
 installed on the master system.

Package: dmachinemon-servent
Architecture: any
Depends: ${shlibs:Depends}
Suggests: dmachinemon
Description: Network-wide monitoring suite -- servent
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 This package includes dmachinemon-servent, for servent 
 systems, which often are cluster nodes.
 .
 A servent system is a node which does the role of a 
 server and a client, providing and requesting information
 at the same time.

Package: dmachinemon-treeview
Architecture: any
Depends: ${shlibs:Depends}
Description: Network-wide machine monitoring suite - topology viewer
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 Includes network topology debugging (tree structure viewing) suite.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
SHELL=/bin/bash



# This is the debhelper compatability version to use.
export DH_COMPAT=2
DMACHINESONAME=$(shell cat dmachinemon/Makefile.am | sed -n 's/DMACHINEMON_SONAME = //p' | sed 's/:[^:]*:[^:]*$$//' )
DMACHINEMON_VERSION=$(shell dpkg-parsechangelog | sed -n "s/^Version: //p")
LIBDMACHINEMON=libdmachinemon$(DMACHINESONAME)
LIBDMACHINEMONDEV=libdmachinemon$(DMACHINESONAME)-dev


configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --with-gtk=yes
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	touch configure.in
	touch stamp-h.in
	touch aclocal.m4
	touch Makefile.am
	touch Makefile.in
	touch configure
	touch config.status
	touch Makefile
	$(MAKE)
	touch build-stamp

configure.in: configure.in.debianin 
	echo "dnl This file is auto-generated from configure.in.debianin" > configure.in
	sed 's/#DMACHINEMON_VERSION#/'$(DMACHINEMON_VERSION)'/g' < configure.in.debianin >> configure.in
	echo "#define DMACHINEMON_VERSION \""$(DMACHINEMON_VERSION)"\""  > ./VERSION.h

clean: configure.in 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	for FILE in dmachinemon-servent-static dmachinemon-node-static dmachinemon-master-static ; do \
		rm -f dmachinemon/$$FILE; \
	done
	-$(MAKE) clean
	-$(MAKE) distclean
	dh_clean
	sed 's/#SONAME#/'$(DMACHINESONAME)'/g' < debian/control.debianin > debian/control
	sed -e 's/#SONAME#/'$(DMACHINESONAME)'/g' \
		-e 's/#VERSION#/'$(DMACHINEMON_VERSION)'/g' \
	 < debian/shlibs.local.debianin > debian/shlibs.local
	rm -f debian/libdmachinemon*.postinst

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/machine-monitor.
	make install DESTDIR=${PWD}/debian/dmachinemon
	for A in daemon.png dmachinemon.css gradationbackground.png gradationbox.png ; do cp example/$$A ${PWD}/debian/dmachinemon/usr/share/doc/dmachinemon/examples/ ; done
	install -d ${PWD}/debian/${LIBDMACHINEMON}/usr/lib
	mv ${PWD}/debian/dmachinemon/usr/lib/libdmachinemon.so.* ${PWD}/debian/${LIBDMACHINEMON}/usr/lib
	# generate libdmachinemon-dev
	install -d ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/lib
	install -d ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/include
	mv ${PWD}/debian/dmachinemon/usr/lib/libdmachinemon.{a,la,so} ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/lib
	mv ${PWD}/debian/dmachinemon/usr/include/* ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/include
	install -d ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/share/doc/${LIBDMACHINEMONDEV}/HTML/
	cd ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/share/doc/${LIBDMACHINEMONDEV}/HTML && \
	LANG=C LC_ALL=C doc++ ${PWD}/dmachinemon/*.[ch]
	cp debian/libdmachinemon.postinst.debianin debian/libdmachinemon$(DMACHINESONAME).postinst

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_movefiles --sourcedir=debian/dmachinemon
	dh_installcron
	test -x /usr/bin/dh_installman  && ( \
	dh_installman -pdmachinemon execute_dmachinemonhtml.1 execute_dmachinemon.1 tools/htmloutput/dmachinemon-htmloutput.1 \
	  tools/dmscripts/dmrun.1 tools/dmscripts/dmboot.1 tools/dmscripts/dmclean.1 &&  \
	dh_installman -pdmachinemon-master dmachinemon/dmachinemon-master.1 && \
	dh_installman -pdmachinemon-servent dmachinemon/dmachinemon-servent.1 && \
	dh_installman -pdmachinemon-gtkiface tools/gtkiface/dmachinemon-gtkiface.1 ) || true
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps -l${PWD}/debian/${LIBDMACHINEMON}/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
